## dtlssrtpdec dtlssrtpdec |

## Properties

gchar * | peer-pem | Read
gchar * | pem | Read / Write

## Types and Values

struct | GstDtlsSrtpDec

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBin
                        ╰── GstDtlsSrtpBin
                            ╰── GstDtlsSrtpDec

## Implemented Interfaces

GstDtlsSrtpDec implements GstChildProxy.

## Description

## Synopsis

### Element Information

plugin | dtls
author | Patrik Oldsberg patrik.oldsberg@ericsson.com
class | Decoder/Network/DTLS/SRTP

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

name | rtcp_src
direction | source
presence | always
details | application/x-rtcp

name | rtp_src
direction | source
presence | always
details | application/x-rtp

name | data_src
direction | source
presence | request
details | ANY

## Functions

## Types and Values

### struct GstDtlsSrtpDec

    struct GstDtlsSrtpDec;

## Property Details

### The `“peer-pem”` property

      “peer-pem”                 gchar *

The X509 certificate received in the DTLS handshake, in PEM format.

Flags: Read

Default value: NULL

### The `“pem”` property

      “pem”                      gchar *

A string containing a X509 certificate and RSA private key in PEM format.

Flags: Read / Write

Default value: NULL